
    <!DOCTYPE html>
    <html>
      <body>
        <style>@page {
  size: 1280px 720px;
  margin: 0;
}@media print {html, body {
  background-color: #fff;
  margin: 0;
  page-break-inside: avoid;
  break-inside: avoid-page;
}
  div.marpit > section {
    page-break-before: always;
    break-before: page;
  }

  div.marpit > section, div.marpit > section * {
    -webkit-print-color-adjust: exact !important;
    animation-delay: 0s !important;
    animation-duration: 0s !important;
    color-adjust: exact !important;
    transition: none !important;
  }

  div.marpit > svg[data-marpit-svg] {
    display: block;
    height: 100vh;
    width: 100vw;
  }
}

div.marpit > section {
  width: 1280px;
  height: 720px;

  box-sizing: border-box;
  overflow: hidden;
  position: relative;

  scroll-snap-align: center center;
}

div.marpit > section::after {
  bottom: 0;
  content: attr(data-marpit-pagination);
  padding: inherit;
  pointer-events: none;
  position: absolute;
  right: 0;
}

div.marpit > section:not([data-marpit-pagination])::after {
  display: none;
}

/* Normalization */
div.marpit > section h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

div.marpit > section video::-webkit-media-controls {
  will-change: transform;
}</style>
        <div class="marpit"><section id="1">
<h1>Коллекции</h1>
<h2>main/java/exercise/App.java</h2>
<h2>Задачи</h2>
<p>Скрэббл (от англ. Scrabble — «рыться в поисках чего-либо») — настольная игра, в которой игроки соревнуются в образовании слов из плиток с буквами.</p>
<p>Реализуйте публичный статический метод <code>scrabble()</code>, который принимает на вход два параметра: набор символов для составления слова в нижнем регистре (в виде строки) и слово. Метод проверяет, можно ли из переданного набора составить это слово. В результате вызова функция возвращает <code>true</code> или <code>false</code>.</p>
<p>При проверке учитывается количество символов, нужных для составления слова и не учитывается их регистр (заглавные и строчные символы считаются одинаковыми).</p>
<pre><code class="language-java">App.scrabble(&quot;rkqodlw&quot;, &quot;world&quot;); // true
App.scrabble(&quot;ajv&quot;, &quot;java&quot;); // false
App.scrabble(&quot;avjafff&quot;, &quot;JaVa&quot;); // true
App.scrabble(&quot;&quot;, &quot;hexlet&quot;); // false
</code></pre>
</section>
</div>
      </body>
    </html>
  